Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2019-15847: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2019-15847: SUSE Linux Security Advisory

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Published
09/02/2019
Created
11/28/2019
Added
10/24/2019
Modified
10/22/2021

Description

The POWER9 backend in GNU Compiler Collection (GCC) before version 10 could optimize multiple calls of the __builtin_darn intrinsic into a single call, thus reducing the entropy of the random number generator. This occurred because a volatile operation was not specified. For example, within a single execution of a program, the output of every __builtin_darn() call may be the same.

Solution(s)

  • suse-upgrade-cpp7
  • suse-upgrade-cpp9
  • suse-upgrade-cross-nvptx-gcc9
  • suse-upgrade-cross-nvptx-newlib9-devel
  • suse-upgrade-gcc7
  • suse-upgrade-gcc7-32bit
  • suse-upgrade-gcc7-ada
  • suse-upgrade-gcc7-ada-32bit
  • suse-upgrade-gcc7-c
  • suse-upgrade-gcc7-c-32bit
  • suse-upgrade-gcc7-fortran
  • suse-upgrade-gcc7-fortran-32bit
  • suse-upgrade-gcc7-go
  • suse-upgrade-gcc7-go-32bit
  • suse-upgrade-gcc7-info
  • suse-upgrade-gcc7-locale
  • suse-upgrade-gcc7-obj-c
  • suse-upgrade-gcc7-obj-c-32bit
  • suse-upgrade-gcc7-objc
  • suse-upgrade-gcc7-objc-32bit
  • suse-upgrade-gcc9
  • suse-upgrade-gcc9-32bit
  • suse-upgrade-gcc9-ada
  • suse-upgrade-gcc9-ada-32bit
  • suse-upgrade-gcc9-c
  • suse-upgrade-gcc9-c-32bit
  • suse-upgrade-gcc9-fortran
  • suse-upgrade-gcc9-fortran-32bit
  • suse-upgrade-gcc9-go
  • suse-upgrade-gcc9-go-32bit
  • suse-upgrade-gcc9-info
  • suse-upgrade-gcc9-locale
  • suse-upgrade-libada7
  • suse-upgrade-libada7-32bit
  • suse-upgrade-libada9
  • suse-upgrade-libada9-32bit
  • suse-upgrade-libasan4
  • suse-upgrade-libasan4-32bit
  • suse-upgrade-libasan5
  • suse-upgrade-libasan5-32bit
  • suse-upgrade-libatomic1
  • suse-upgrade-libatomic1-32bit
  • suse-upgrade-libcilkrts5
  • suse-upgrade-libcilkrts5-32bit
  • suse-upgrade-libgcc_s1
  • suse-upgrade-libgcc_s1-32bit
  • suse-upgrade-libgfortran4
  • suse-upgrade-libgfortran4-32bit
  • suse-upgrade-libgfortran5
  • suse-upgrade-libgfortran5-32bit
  • suse-upgrade-libgo11
  • suse-upgrade-libgo11-32bit
  • suse-upgrade-libgo14
  • suse-upgrade-libgo14-32bit
  • suse-upgrade-libgomp1
  • suse-upgrade-libgomp1-32bit
  • suse-upgrade-libitm1
  • suse-upgrade-libitm1-32bit
  • suse-upgrade-liblsan0
  • suse-upgrade-libobjc4
  • suse-upgrade-libobjc4-32bit
  • suse-upgrade-libquadmath0
  • suse-upgrade-libquadmath0-32bit
  • suse-upgrade-libstdc-6
  • suse-upgrade-libstdc-6-32bit
  • suse-upgrade-libstdc-6-devel-gcc7
  • suse-upgrade-libstdc-6-devel-gcc7-32bit
  • suse-upgrade-libstdc-6-devel-gcc9
  • suse-upgrade-libstdc-6-devel-gcc9-32bit
  • suse-upgrade-libstdc-6-locale
  • suse-upgrade-libstdc-6-pp-gcc9
  • suse-upgrade-libstdc-6-pp-gcc9-32bit
  • suse-upgrade-libtsan0
  • suse-upgrade-libubsan0
  • suse-upgrade-libubsan0-32bit
  • suse-upgrade-libubsan1
  • suse-upgrade-libubsan1-32bit

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;